## survex 0.1.1

=== DESCRIPTION ===
Package: survex
Title: Explainable Machine Learning in Survival Analysis
Version: 0.1.1
Authors@R: 
    c(
        person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre")),
        person("Mateusz", "Krzyziński", role = c("aut")),
        person("Hubert", "Baniecki", role = c("aut"), comment = c(ORCID = "0000-0001-6661-5364")),
        person("Przemyslaw", "Biecek", role = c("aut"), comment = c(ORCID = "0000-0001-8423-1823"))
    )
Description: Survival analysis models are commonly used in medicine and other areas. Many of them
    are too complex to be interpreted by human. Exploration and explanation is needed, but
    standard methods do not give a broad enough picture. 'survex' provides easy-to-apply
    methods for explaining survival models, both complex black-boxes and simpler statistical models.
    They include methods specific to survival analysis such as SurvSHAP(t) described in Krzyzinski et al., (2022)
    <arXiv:2208.11080>, SurvLIME introduced in Kovalev et al., (2020) <doi:10.1016/j.knosys.2020.106164> as well as
    extensions of existing ones described in Biecek et al., (2021) <doi:10.1201/9780429027192>.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 3.5.0)
Imports: DALEX (>= 2.2.1), ingredients, ggplot2, gridExtra, pec,
        survival
Suggests: censored, covr, gbm, generics, glmnet, knitr, mboost,
        parsnip, progressr, randomForestSRC, ranger, rmarkdown,
        testthat (>= 3.0.0), withr, xgboost
Config/testthat/edition: 3
VignetteBuilder: knitr
URL: https://modeloriented.github.io/survex/
BugReports: https://github.com/ModelOriented/survex/issues
NeedsCompilation: no
Packaged: 2022-09-02 11:24:25 UTC; Mikołaj
Author: Mikołaj Spytek [aut, cre],
  Mateusz Krzyziński [aut],
  Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
  Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-05 08:00:02 UTC

## survex 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: survex
 Title: Explainable Machine Learning in Survival Analysis
-Version: 0.1.1
+Version: 0.2.2
 Authors@R: 
     c(
         person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre")),
@@ -19,21 +19,20 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.1
 Depends: R (>= 3.5.0)
-Imports: DALEX (>= 2.2.1), ingredients, ggplot2, gridExtra, pec,
-        survival
-Suggests: censored, covr, gbm, generics, glmnet, knitr, mboost,
-        parsnip, progressr, randomForestSRC, ranger, rmarkdown,
+Imports: DALEX (>= 2.2.1), ggplot2, pec, survival, patchwork
+Suggests: censored, covr, gbm, generics, glmnet, ingredients, knitr,
+        mboost, parsnip, progressr, randomForestSRC, ranger, rmarkdown,
         testthat (>= 3.0.0), withr, xgboost
 Config/testthat/edition: 3
 VignetteBuilder: knitr
 URL: https://modeloriented.github.io/survex/
 BugReports: https://github.com/ModelOriented/survex/issues
 NeedsCompilation: no
-Packaged: 2022-09-02 11:24:25 UTC; Mikołaj
+Packaged: 2022-11-30 12:07:25 UTC; Mikołaj
 Author: Mikołaj Spytek [aut, cre],
   Mateusz Krzyziński [aut],
   Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
   Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
 Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-09-05 08:00:02 UTC
+Date/Publication: 2022-12-01 00:20:02 UTC

## survex 1.0.0

=== DESCRIPTION ===
Package: survex
Title: Explainable Machine Learning in Survival Analysis
Version: 1.0.0
Authors@R: 
    c(
        person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-7111-2286")),
        person("Mateusz", "Krzyziński", role = c("aut"), comment = c(ORCID = "0000-0001-6143-488X")),
        person("Hubert", "Baniecki", role = c("aut"), comment = c(ORCID = "0000-0001-6661-5364")),
        person("Przemyslaw", "Biecek", role = c("aut"), comment = c(ORCID = "0000-0001-8423-1823"))
    )
Description: Survival analysis models are commonly used in medicine and other areas. Many of them
    are too complex to be interpreted by human. Exploration and explanation is needed, but
    standard methods do not give a broad enough picture. 'survex' provides easy-to-apply
    methods for explaining survival models, both complex black-boxes and simpler statistical models.
    They include methods specific to survival analysis such as SurvSHAP(t) introduced in Krzyzinski et al., (2023)
    <doi:10.1016/j.knosys.2022.110234>, SurvLIME described in Kovalev et al., (2020) <doi:10.1016/j.knosys.2020.106164> as well as
    extensions of existing ones described in Biecek et al., (2021) <doi:10.1201/9780429027192>.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 3.5.0)
Imports: DALEX (>= 2.2.1), ggplot2, kernelshap, pec, survival,
        patchwork
Suggests: censored, covr, gbm, generics, glmnet, ingredients, knitr,
        mboost, parsnip, progressr, randomForestSRC, ranger, rmarkdown,
        testthat (>= 3.0.0), withr, xgboost
Config/testthat/edition: 3
VignetteBuilder: knitr
URL: https://modeloriented.github.io/survex/
BugReports: https://github.com/ModelOriented/survex/issues
NeedsCompilation: no
Packaged: 2023-03-20 18:17:57 UTC; Mikołaj
Author: Mikołaj Spytek [aut, cre] (<https://orcid.org/0000-0001-7111-2286>),
  Mateusz Krzyziński [aut] (<https://orcid.org/0000-0001-6143-488X>),
  Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
  Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
Repository: CRAN
Date/Publication: 2023-03-20 19:30:02 UTC

## survex 1.0.7

=== debian/changelog ===
survex (1.0.7) unstable; urgency=low

  * print*: halted with a failed assertion in 1.0.4-1.0.6.

 -- Wookey <wookey@survex.com>  Mon, 08 Apr 2002 09:48:43 +0100

survex (1.0.6) unstable; urgency=low

  * Assorted aven fixes and enhancements.
  * Spell-checked documentation.

 -- Wookey <wookey@survex.com>  Sun, 07 Apr 2002 15:36:11 +0100

survex (1.0.5) unstable; urgency=low

  * img_open_survey() could crash if you tried to open an unrecognised file
    (i.e. not .3d, .pos, .plt, or .xyz format).
  * North and East were the wrong way round when reading in .plt files.
  * cad3d: Improved .plt file output - Compass should read it now.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Fri, 05 Apr 2002 01:52:54 +0100

survex (1.0.4) unstable; urgency=low

  * extend: now keep all names for an equated group of stations.
  * cad3d: if an output filename is given, use its extension to pick the
    default output format.
  * aven: movement with keyboard is now accelerated by Shift as in caverot.
  * print*: --no-borders fixed to work as documented; --no-cutlines added to
    turn off the dashed lines where pages join on multi-page printouts.
  * Improvements to .plt file reading.
  * Added support for reading CMAP XYZ files.
  * Documentation updates.

 -- Wookey <wookey@survex.com>  Mon, 01 Apr 2002 23:23:07 +0100

survex (1.0.3) unstable; urgency=low

  * aven: support for feet and grads.
  * aven: show altitude of mouse pointer when in elevation view.
  * print*: say where output is being sent.
  * Updated fr internationalisation; minor updates to other languages.

 -- Wookey <wookey@survex.com>  Thu, 21 Mar 2002 01:51:27 +0000

survex (1.0.2) unstable; urgency=low

  * printdm and printpcl now obey font_size_labels setting in print.ini etc.
  * Enhancements and bug-fix to handling of Topofil.
  * *FIX with 3 standard deviations but no covariances now works.
  * cad3d: new --plt option produces crude approximation to Compass .plt
    files - should be good enough for reading into Carto.
  * img library now reads Compass .plt files as if they were .3d files.
  * Updated ca and es internationalisations.

 -- Wookey <wookey@survex.com>  Sun, 17 Mar 2002 12:42:44 +0000

survex (1.0.1) unstable; urgency=low

  * Updated pt-br and it internationalisations.

 -- Wookey <wookey@survex.com>  Thu, 31 Jan 2002 06:15:26 +0000

survex (1.0.0) unstable; urgency=low

  * Compiling gfxcore.cc often causes an ICE in GCC 2.95, so if the compile
    fails on this source we now retry with -O instead of -O2.  Hopefully
    this'll get us a build on all architectures...

 -- Wookey <wookey@survex.com>  Sun, 23 Dec 2001 01:58:55 +0000

survex (0.99.10) unstable; urgency=low

  * Aven updates
  * Bug fix in .3d file reading code

 -- Wookey <wookey@survex.com>  Wed, 19 Dec 2001 14:28:10 +0000

survex (0.99.9) unstable; urgency=low

  * Aven updates

 -- Wookey <wookey@survex.com>  Sat, 15 Dec 2001 14:27:00 +0000

survex (0.99.8) unstable; urgency=low

  * New release - now compiles under GCC3.0 so should build on hppa

 -- Wookey <wookey@survex.com>  Tue, 04 Dec 2001 19:30:07 +0000

survex (0.99.7) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Thu, 15 Nov 2001 18:49:05 +0000

survex (0.99.6) unstable; urgency=low

  * New release (closes: bug#118280)

 -- Wookey <wookey@survex.com>  Fri, 09 Nov 2001 15:02:37 +0000

survex (0.99.5) unstable; urgency=low

  * New release (closes: bug#116511)
  * Aven updates

 -- Wookey <wookey@survex.com>  Mon, 22 Oct 2001 12:16:02 +0100

survex (0.99.4) unstable; urgency=low

  * New release

 -- Wookey <wookey@survex.com>  Fri, 12 Oct 2001 01:56:58 +0100

survex (0.99.3) unstable; urgency=low
 
  * New release
     
 -- Wookey <wookey@survex.com>  Fri, 05 Oct 2001 01:04:36 +0100

=== debian/control ===
Source: survex
Section: math
Priority: optional
Maintainer: Wookey <wookey@survex.com>
Standards-Version: 3.5.6.0
Build-Depends: debhelper (>= 1.1.17), libwxgtk2.2-dev

Package: survex
Architecture: any
Depends: ${shlibs:Depends}
Recommends: survex-aven (= 1.0.7)
Description: Cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
 English, French, German, Portuguese, Catalan, and Spanish
 internationalisations. It can deal with extremely large and complex
 datasets and can read survey data from many sources.

Package: survex-aven
Architecture: any
Depends: survex (= 1.0.7), ${shlibs:Depends}
Description: Sophisticated cave survey viewer for Survex
 Advanced cave viewer for Survex, written using the wxWindows library.
 Aven supersedes the xcaverot viewer in the main survex package.

=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules that uses debhelper.
# GPL copyright 1997 to 1999 by Joey Hess.
# Copyright (C) 2001 Wookey
# Copyright (C) 2001 Olly Betts
#
# This is a multibinary package. You to build any of the binary packages
# independently, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-docdir=\$${prefix}/share/doc/survex
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/tmp/usr install

	dh_movefiles

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	rm -rf debian/tmp/usr/doc
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	gzip -9 debian/tmp/usr/share/man/man1/*
	mkdir -p debian/survex-aven/usr/share/man/man1
	mv debian/tmp/usr/share/man/man1/aven.1.gz debian/survex-aven/usr/share/man/man1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep:
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch:
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# watch control file
# Run "uscan" to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
# FIXME: can directory be a regexp?  "man uscan" doesn't say...
http://www.survex.com	/software/\\d+\\.[\\d.]+/	survex-(.*)\\.tar\\.gz	debian	uupdate

## survex 1.0.30

=== debian/changelog ===
survex (1.0.30) unstable; urgency=low

  * aven: Added printing directly from Aven!
  * aven: Fixed memory leak when showing the "About" dialog.
  * cavern: Equates are no longer considered when deciding which stations are
    flagged as surface and underground.
  * Romanian translation mostly completed.
  * Minor packaging tweaks (added website URL and changed package descriptions
    to start with a lowercase letter as suggested by packaging guidelines).

 -- Wookey <wookey@survex.com>  Sat, 29 May 2004 23:01:13 +0100

survex (1.0.29) unstable; urgency=low

  * cad3d: Fixed problem with DXF files which stopped them loading with some
    drawing packages (introduced in 1.0.27).
  * aven: Changed File->Exit to File->Quit.
  * Removed some unused messages from the message files.
  * Romanian translation started.
  * Fixed a few new lintian warnings.
  * Fixed new lintian warnings about missing quotes in menu files.

 -- Wookey <wookey@survex.com>  Mon, 19 Mar 2004 14:55:23 +0000

survex (1.0.28) unstable; urgency=low

  * Fixed 3d file reading code to fix incorrect unpacking of compressed
    station names in a rare case.  Also checked other rare cases work
    correctly.

 -- Wookey <wookey@survex.com>  Mon, 08 Mar 2004 20:54:03 +0000

survex (1.0.27) unstable; urgency=low

  * cad3d: DXF output now puts surface legs, stations, and labels in separate
    layers.
  * debian/control,debian/rules: The default gcc/g++ is now c102 so removed
    code to explicitly use GCC 3.2.

 -- Wookey <wookey@survex.com>  Wed, 07 Jan 2004 03:27:58 +0000

survex (1.0.26) unstable; urgency=low

  * Standards-Version: 3.6.1 (no changes).
  * Fixed lintian warning.
  * Tidied up debian/rules.
  * cavern: Fixed interleaved topofil data style - the length was always being
    calculated as zero.
  * aven: "All Files" now shows files without extensions too.
  * aven: added Ctrl+Q as shortcut for File->Exit.
  * aven: depth colouring now uses a proper colour gradient.
  * cad3d: fixed -e and -r options to not crash (the long versions have always
    worked).
  * extend: fixed to initialise an internal structure - failing to do so was
    probably causing crashes on some platforms.
  * Fixed standard graphics for "Note", "Warning", etc in the PostScript manual.
  * Documentation updated.
  * fixed svxedit man page which previously contained xcaverot documentation!
  * test suite: check that cavern doesn't report "nan" or "NaN" for any values.

 -- Wookey <wookey@survex.com>  Sat, 29 Nov 2003 00:40:24 +0000

survex (1.0.25) unstable; urgency=low

  * Updated config.guess and config.sub (closes: bug#186687).
  * Added missing Build-Depends on xlibs-dev (closes: bug#186956).

 -- Wookey <wookey@survex.com>  Mon, 31 Mar 2003 17:49:29 +0100

survex (1.0.24) unstable; urgency=low

  * cavern: fixed LEVEL (broken since around 1.0.8) and added test case.
  * cavern: corrected handling of declination in Compass DAT files and added
    test case; also added tests for other aspects of Compass DAT file
    reading.
  * printps/printpcl: fixed blank page detection in some obscure cases.
  * Documentation: started manual section on working with Compass data files.
  * Added Build-Depends on gcc-3.2 and g++-3.2.

 -- Wookey <wookey@survex.com>  Fri, 28 Mar 2003 02:03:16 +0000

survex (1.0.23) unstable; urgency=low

  * Documentation: include 3d v3 file format description on MS Windows, MS
    DOS, and RISC OS too; include PNG graphics for manual on MS Windows; minor
    updates to manual.
  * Prefer wxWindows 2.4 if it's available (closes: bug#183158).
  * Disabled experimental support for Chinese (LANG=zh) - it isn't currently
    working and makes the printer drivers unusable when LANG is set to zh.
  * Changed Section from math to science.
  * Changed Priority from optional to extra (we clearly should be optional).
  * Standards-Version: 3.5.8.0 (support DEB_BUILD_OPTIONS).

 -- Wookey <wookey@survex.com>  Tue, 04 Mar 2003 20:54:17 +0000

survex (1.0.22) unstable; urgency=low

  * aven: Fixed handling of extended elevations (and other flat surveys).
  * Documentation: fixed 3d v3 file format description and include it in debs.
  * Build-Depends on libwxgtk2.3-dev|libwxgtk2.2-dev so we still build on
    hppa while Ron Lee resolves the wx hppa build failure.

 -- Wookey <wookey@survex.com>  Tue, 26 Nov 2002 04:22:26 +0000

survex (1.0.21) unstable; urgency=low

  * cavern: when reading Compass DAT files, we now processes compass and clino
    backsights, and recognise the "X" flag which indicates a leg should be
    entirely ignored.  And we now report correct line number with errors in
    Compass .MAK files.
  * cavern: if "*infer plumbs on", don't infer a plumb if the clino is
    +/- 90 degrees, but the backclino isn't (and vice versa).
  * cavern: fixed 3dx output so it actually works with Chasm once more.
  * cavern: don't allocate extra space needed for producing 3dx output for
    Chasm unless we're actually producing that output - saves about 8 bytes
    per station.
  * cavern: removed slightly too keen sanity check which could misfire in very
    unusual circumstances.

 -- Wookey <wookey@survex.com>  Sat, 16 Nov 2002 15:15:12 +0000

survex (1.0.20) unstable; urgency=low

  * aven: update display when "Metric" or "Degrees" is toggled.
  * cavern: fixed handling of compass and clino corrections in Compass survey
    data - these were interpreted as radians rather than degrees so the
    correction was about 57 times too large!)
  * Improved handling of Compass PLT files - if the survey name is empty, don't
    insert a survey separator character.
  * Documentation: fixed incorrect markup which resulted in a bogus footnote.
  * Use wxwindows-2.3 rather than wxwindows-2.2 (closes: bug#166105).

 -- Wookey <wookey@survex.com>  Fri, 01 Nov 2002 15:28:37 +0000

survex (1.0.19) unstable; urgency=low

  * cavern: can now process Compass format survey data, and even mixed
    datasets.


=== debian/control ===
Source: survex
Section: science
Priority: extra
Maintainer: Wookey <wookey@survex.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 1.1.17), xlibs-dev, libwxgtk2.4-dev

Package: survex
Architecture: any
Depends: ${shlibs:Depends}
Recommends: survex-aven (= 1.0.30)
Suggests: survex-svxedit (= 1.0.30)
Description: cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
 English, French, German, Portuguese, Catalan, Spanish, Slovak, and Romanian
 internationalisations.  It can deal with extremely large and complex
 datasets and can read survey data from many sources.
 .
 Homepage: http://www.survex.com/

Package: survex-aven
Architecture: any
Depends: survex (= 1.0.30), ${shlibs:Depends}
Description: sophisticated cave survey viewer for Survex
 Advanced cave viewer for Survex, written using the wxWindows library.
 Aven supersedes the xcaverot viewer in the main survex package.

Package: survex-svxedit
Architecture: all
Depends: tk8.4|wish, bwidget
Recommends: survex (= 1.0.30)
Description: survey data editor for Survex
 Experimental cave survey data entry editor for Survex.  Packaged separately
 as it requires TCL to be installed, and a text editor may be used instead.

## survex 1.0.32

=== debian/changelog ===
survex (1.0.32) unstable; urgency=low

  * aven: Fixed font sizes in "Print Preview".
  * aven: In the print setup dialog, replaced "Orientation" radio buttons with
    "Plan" and "Elevation" buttons.
  * aven: Fixed info box on printouts of elevations, tilted views, and
    extend elevations.
  * aven: Added "fit on one page" option, and make it the default.
  * aven: Reorder "Cancel", "Preview", "Print" buttons and make "Print" the
    default button.
  * aven: Read settings back from the print dialog when the "Print" button is
    pressed (was only done for "Preview" previously).
  * aven: Sorted out the initial size of the "Print Preview" window.
  * aven: Fixed the window manager's close button on the "Print Preview"
    window - previously this was being ignored.
  * aven: Sorted out initial survey scaling when loading a survey at startup.
  * aven: Fixed the measuring line to work better when the survey tree is
    manipulated with keys.  Tweaked redrawing of the measuring line to be a
    smidgen more efficient.  Fixed the blob and ring size which were one
    pixel too small on Windows.
  * aven: Added "System Information:" section to the "About" dialog to hold
    information useful when reporting bugs.  Currently it contains the
    wxWindows version, OS version, and colour depth information.
  * aven: Changed the "About" dialog's "Close" button to be "OK" for
    consistency with pretty much every other application.
  * aven: Added "File->Export as..." which integrates cad3d's functionality
    within aven.
  * aven: Updated a few icons.
  * cad3d: Added SVG export support from John Pybus
  * Fixed to allow compilation with GCC 3.4
  * Updates to German translation.

 -- Wookey <wookey@survex.com>  Thu, 30 Sep 2004 23:07:39 +0100

survex (1.0.31) unstable; urgency=low

  * aven: Fixed grid menu item so that it always correctly reflects whether
    the grid is enabled or not.
  * aven: Minor improvements to appearance of a few toolbar icons.
  * Updates to Catalan, French, Italian, Romanian, Slovak, and Spanish
    translations.
  * cavern: Fixed Romanian message which was appearing in English .err files.

 -- Wookey <wookey@survex.com>  Thu, 01 Jul 2004 01:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: survex
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: survex-aven (= 1.0.30)
-Suggests: survex-svxedit (= 1.0.30)
+Recommends: survex-aven (= 1.0.32)
+Suggests: survex-svxedit (= 1.0.32)
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
  is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
@@ -21,7 +21,7 @@
 
 Package: survex-aven
 Architecture: any
-Depends: survex (= 1.0.30), ${shlibs:Depends}
+Depends: survex (= 1.0.32), ${shlibs:Depends}
 Description: sophisticated cave survey viewer for Survex
  Advanced cave viewer for Survex, written using the wxWindows library.
  Aven supersedes the xcaverot viewer in the main survex package.
@@ -29,7 +29,7 @@
 Package: survex-svxedit
 Architecture: all
 Depends: tk8.4|wish, bwidget
-Recommends: survex (= 1.0.30)
+Recommends: survex (= 1.0.32)
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately
  as it requires TCL to be installed, and a text editor may be used instead.

## survex 1.0.34

=== debian/changelog ===
survex (1.0.34) unstable; urgency=low

  * extend: Added changes from John Pybus which allow you to specify a
    configuration file to control how the centreline is extended - e.g.
    where to fold and where to break loops.

 -- Wookey <wookey@survex.com>  Sat, 22 Jan 2005 01:44:39 +0000

survex (1.0.33) unstable; urgency=low

  * aven: Fixed bug which would sometimes pick one too few pages
    vertically resulting in the survey escaping off the top of the topmost
    pages.
  * aven: Changed the toner-wasting, hard-to-measure-exactly alternately filled
    scale bar to a simple line with ticks.
  * aven: SVG export fixes: second and subsequent exports had bogus extra
    "</g>"; Fixed to invert all Y coordinates, not just some; Fixed tags for
    layers.
  * aven: Added EPS export option.
  * Minor documentation updates.

 -- Wookey <wookey@survex.com>  Wed, 13 Jan 2005 05:40:38 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: survex
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: survex-aven (= 1.0.32)
-Suggests: survex-svxedit (= 1.0.32)
+Recommends: survex-aven (= 1.0.34)
+Suggests: survex-svxedit (= 1.0.34)
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
  is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
@@ -21,7 +21,7 @@
 
 Package: survex-aven
 Architecture: any
-Depends: survex (= 1.0.32), ${shlibs:Depends}
+Depends: survex (= 1.0.34), ${shlibs:Depends}
 Description: sophisticated cave survey viewer for Survex
  Advanced cave viewer for Survex, written using the wxWindows library.
  Aven supersedes the xcaverot viewer in the main survex package.
@@ -29,7 +29,7 @@
 Package: survex-svxedit
 Architecture: all
 Depends: tk8.4|wish, bwidget
-Recommends: survex (= 1.0.32)
+Recommends: survex (= 1.0.34)
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately
  as it requires TCL to be installed, and a text editor may be used instead.

## survex 1.0.34ubuntu1

=== debian/changelog ===
survex (1.0.34ubuntu1) breezy; urgency=low

  * Change deps for survex* from (=1.0.34) to (>=1.0.34), (<<1.0.35)

 -- Barry deFreese <bddebian@comcast.net>  Sun, 18 Sep 2005 16:04:09 -0400

survex (1.0.34build2) breezy; urgency=low

  * Rebuild for dependencies (libwxgtk2.4)

 -- Barry deFreese <bddebian@comcast.net>  Tue, 13 Sep 2005 22:40:25 -0400

survex (1.0.34build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue,  7 Jun 2005 14:24:07 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: survex
 Architecture: any
 Depends: ${shlibs:Depends}
-Recommends: survex-aven (= 1.0.34)
-Suggests: survex-svxedit (= 1.0.34)
+Recommends: survex-aven (>= 1.0.34), survex-aven (<< 1.0.35)
+Suggests: survex-svxedit (>= 1.0.34), survex-svxedit (<< 1.0.35)
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
  is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
@@ -21,7 +21,7 @@
 
 Package: survex-aven
 Architecture: any
-Depends: survex (= 1.0.34), ${shlibs:Depends}
+Depends: survex (>= 1.0.34), survex (<< 1.0.35), ${shlibs:Depends}
 Description: sophisticated cave survey viewer for Survex
  Advanced cave viewer for Survex, written using the wxWindows library.
  Aven supersedes the xcaverot viewer in the main survex package.
@@ -29,7 +29,7 @@
 Package: survex-svxedit
 Architecture: all
 Depends: tk8.4|wish, bwidget
-Recommends: survex (= 1.0.34)
+Recommends: survex (>= 1.0.34), survex (<< 1.0.35)
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately
  as it requires TCL to be installed, and a text editor may be used instead.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
-# Based on sample debian/rules that uses debhelper.
+# Based on sample debian/rules that uses debhelper,
 # GPL copyright 1997 to 1999 by Joey Hess.
+#
 # Copyright (C) 2001 Wookey
-# Copyright (C) 2001 Olly Betts
+# Copyright (C) 2001,2002,2003,2004 Olly Betts
 #
-# This is a multibinary package. You to build any of the binary packages
+# This is a multibinary package. You can build any of the binary packages
 # independently, via binary-<package> targets.
 
 # Uncomment this to turn on verbose mode.
@@ -16,13 +17,24 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+CFLAGS += -O0
+else
+CFLAGS += -O2
+endif
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+STRIP=/bin/echo
+endif
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
-	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-docdir=\$${prefix}/share/doc/survex
+	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-docdir=\$${prefix}/share/doc/survex CFLAGS=$(CFLAGS) STRIP=$(STRIP)
 	$(MAKE)
-
+ifeq	($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	$(MAKE) check
+endif
 	touch build-stamp
 
 clean:
@@ -58,21 +70,20 @@
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
-#	dh_installpam
 #	dh_installmime
-#	dh_installinit
-#	dh_installcron
 	gzip -9 debian/tmp/usr/share/man/man1/*
 	mkdir -p debian/survex-aven/usr/share/man/man1
+	mkdir -p debian/survex-svxedit/usr/share/man/man1
 	mv debian/tmp/usr/share/man/man1/aven.1.gz debian/survex-aven/usr/share/man/man1
-#	dh_installinfo
-#	dh_undocumented
+	mv debian/tmp/usr/share/man/man1/svxedit.1.gz debian/survex-svxedit/usr/share/man/man1
+# oddly /usr/bin/svxedit gets into survex and survex-svxedit otherwise
+# FIXME - this can't be the correct way to do this, can it?
+	rm -f debian/tmp/usr/bin/svxedit
 	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
@@ -83,8 +94,7 @@
 
 # Build architecture independant packages using the common target.
 binary-indep:
-# (Uncomment this next line if you have such packages.)
-#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
 
 # Build architecture dependant packages using the common target.
 binary-arch:

## survex 1.0.39ubuntu1

=== debian/changelog ===
survex (1.0.39ubuntu1) dapper; urgency=low

  * Add desktop files for svxedit and aven from Phil Bull
    - (Closes Malone: #36442)

 -- Barry deFreese <bddebian@comcast.net>  Wed, 12 Apr 2006 13:10:04 -0400

survex (1.0.39) unstable; urgency=low

  * Updates to French translation from Michel Bovey.  Also updates to German,
    Italian, Catalan, Spanish, and Romanian translations.
  * test suite: fix smoke test to pass even without X running (it was meant to
    but the code had a bug).  Bug introduced in 1.0.38.
  * Updated "Build-Depends:" for the new X library packaging. Closes: #347108
  * Rebuilt debian/rules starting from debhelper example rules.multi2 to
    eliminate cruft such as use of debhelper programs which are deprecated or
    have better alternatives.  The new rules file puts exactly the same set of
    files in each package as the old one does, but should be easier to
    understand and maintain.

 -- Wookey <wookey@survex.com>  Thu, 12 Jan 2006 03:36:05 +0000

survex (1.0.38) unstable; urgency=low

  All changes backported from 1.1.7:
  * Check environmental variable LC_MESSAGES when deciding what language to use
    for messages.
  * aven: Improved update of mouse coordinates and measuring line (thanks to
    Martin Green).
  * aven: When printing an extended elevation, don't show bearing and elevation.
  * aven: Added Aven's icon to the "About" dialog.
  * aven: Use localised character for the decimal point (e.g. "," in most
    continental European countries).
  * aven: Previously the survey tree would get focus and then take keypresses
    (e.g. "P", "L", "Delete").  Now we pass most keypresses across so they
    operate on the cave, and transfer the input focus across when we do.
  * aven: Make pressing "Return" in the tree control expand/collapse a subtree.
  * aven: Make entrances green in side panel tree list to match green blobs used
    in cave view.
  * aven: Reworded "Restore Default Settings" as "Restore Default View".
  * aven: Set sensible default margins for printing and preserve any margin
    values the user specifies between runs (previously margins defaulted to 0
    each time aven was run).
  * aven: Really stop setting extra toolbar margin when using GTK2.0.  The
    attempt to fix this backported in 1.0.36 failed because __WXGTK12__ is set
    for GTK+ 1.2 or *any later release* so it is true for GTK+ 2.0 too!
  * aven: Add details of which of wxGTK, wxMotif, and wxX11 we've been
    compiled with, and which GTK+/Motif version where appropriate.
  * extend: Fixed 2 uninitialised flags (problem apparently never manifests
    on Linux - presumably we're lucky and always get zeroed memory from malloc
    if we never call free).
  * extend: Default output name for a file called input.3d is now
    input_extend.3d rather than just extend.3d (which was annoying if you
    wanted to extend several surveys in the same directory).
  * cavern: Applied Simeon Warner's patch for handling backcompass, backclino,
    and omitted forward compass/clino readings in Compass DAT files.  Added
    a feature test for this to the testsuite.
  * cavern: Fix handling of a *solve followed by survey data, none of which is
    attached to the previous data.
  * cavern: Fixed "No survey data" error when a *solve is followed by another
    *solve (or the implicit solve at the end of processing) with no data between
    them.
  * cavern: Fixed small one-off memory leak if you specify -o more than once.

 -- Wookey <wookey@survex.com>  Tue, 18 Oct 2005 04:33:32 +0100

survex (1.0.37) unstable; urgency=low

  * cavern: Also ignore any arguments after "*data passage" which makes this
    feature actually useful as intended.
  * aven: Recognise .3d file format versions 4 and 5 so you can load .3d files
    processed by 1.1.x test builds.
  * aven: Normalise filename by adding any extension used, and use the
    normalised filename for file history and window title.

 -- Wookey <wookey@survex.com>  Sat, 10 Sep 2005 19:31:20 +0100

survex (1.0.36) unstable; urgency=low

  * cavern: Ignore "*data passage" data style so you can process files
    containing LRUD data for Survex 1.1.3 and later.
  * cavern: Fix assertion failure when handling a survey with a station only
    attached by a nosurvey leg.
  * Capitalise first word of debian package description.
  * Install vim syntax file as debian vim policy describes.
  * Changes backported from 1.1.3:
    + aven: Improve initial window sizing and placement on multimonitor
      displays when using wx2.4 or earlier.
    + testsuite: Fix cavern.tst to report misspelled test names and
      make badnewline test case actually run and actually pass.
    + aven: Only add toolbar margins for gtk1.2
    + configure: Updated check for wx version.

 -- Wookey <wookey@survex.com>  Thu, 08 Sep 2005 00:39:51 +0100

survex (1.0.35) unstable; urgency=low

  * Standards-Version: 3.6.2 (no changes).
  * aven: Fix printing which was deciding how many pages to spread the plot
    over by looking at the whole paper size, not the printable area.
  * aven: When exporting, omit surface data if it's not being shown at the
    moment.  Also omit unnecessary MOVE ops from generated files (which saves
    quite a lot of space when surface data is turned off).
  * Set Aven's icon on non-Windows platforms too.  This means that with
    windowmaker the appicon has an icon without user intervention, and
    probably improves things with other windowmanagers too.
  * extend: Added documentation and test cases for the new extend features.
  * manual: Fix example of setting decimal separator.
  * Include syntax colouring mode for .svx files for the vim editor, written
    by David Loeffler.

 -- Wookey <wookey@survex.com>  Mon, 27 Jun 2005 22:32:19 +0100

=== debian/control ===
Source: survex
Section: science
Priority: extra
Maintainer: Wookey <wookey@survex.com>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.2.13), libx11-dev, libxext-dev, x-dev, libwxgtk2.4-dev

Package: survex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: survex-aven (= 1.0.39)
Suggests: survex-svxedit (= 1.0.39)
Description: Cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux/Unix, MS Windows, DOS, RISC OS).  It includes
 English, French, German, Portuguese, Catalan, Spanish, Slovak, and Romanian
 internationalisations.  It can deal with extremely large and complex
 datasets and can read survey data from many sources.
 .
 Homepage: http://www.survex.com/

Package: survex-aven
Architecture: any
Depends: survex (= 1.0.39ubuntu1), ${misc:Depends}, ${shlibs:Depends}
Description: sophisticated cave survey viewer for Survex
 Advanced cave viewer for Survex, written using the wxWindows library.
 Aven supersedes the xcaverot viewer in the main survex package.

Package: survex-svxedit
Architecture: all
Depends: tk8.4|wish, bwidget
Recommends: survex (= 1.0.39)
Description: survey data editor for Survex
 Experimental cave survey data entry editor for Survex.  Packaged separately
 as it requires TCL to be installed, and a text editor may be used instead.

## survex 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: survex
 Title: Explainable Machine Learning in Survival Analysis
-Version: 1.0.0
+Version: 1.1.3
 Authors@R: 
     c(
         person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-7111-2286")),
         person("Mateusz", "Krzyziński", role = c("aut"), comment = c(ORCID = "0000-0001-6143-488X")),
+        person("Sophie", "Langbein", role = c("aut")), 
         person("Hubert", "Baniecki", role = c("aut"), comment = c(ORCID = "0000-0001-6661-5364")),
         person("Przemyslaw", "Biecek", role = c("aut"), comment = c(ORCID = "0000-0001-8423-1823"))
     )
@@ -17,23 +18,24 @@
     extensions of existing ones described in Biecek et al., (2021) <doi:10.1201/9780429027192>.
 License: GPL (>= 3)
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Depends: R (>= 3.5.0)
-Imports: DALEX (>= 2.2.1), ggplot2, kernelshap, pec, survival,
-        patchwork
-Suggests: censored, covr, gbm, generics, glmnet, ingredients, knitr,
-        mboost, parsnip, progressr, randomForestSRC, ranger, rmarkdown,
-        testthat (>= 3.0.0), withr, xgboost
+Imports: DALEX (>= 2.2.1), ggplot2 (>= 3.4.0), kernelshap, pec,
+        survival, patchwork
+Suggests: censored (>= 0.2.0), covr, flexsurv, gbm, generics, glmnet,
+        ingredients, knitr (>= 1.42), mboost, parsnip, progressr,
+        randomForestSRC, ranger, reticulate, rmarkdown, rms, testthat
+        (>= 3.0.0), withr, xgboost
 Config/testthat/edition: 3
-VignetteBuilder: knitr
 URL: https://modeloriented.github.io/survex/
 BugReports: https://github.com/ModelOriented/survex/issues
 NeedsCompilation: no
-Packaged: 2023-03-20 18:17:57 UTC; Mikołaj
+Packaged: 2023-09-05 18:46:09 UTC; Mikołaj
 Author: Mikołaj Spytek [aut, cre] (<https://orcid.org/0000-0001-7111-2286>),
   Mateusz Krzyziński [aut] (<https://orcid.org/0000-0001-6143-488X>),
+  Sophie Langbein [aut],
   Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
   Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
 Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-20 19:30:02 UTC
+Date/Publication: 2023-09-06 01:20:08 UTC
